<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta name="copyright"
	content="Copyright (c) Motorola and others 2008. This page is made available 
	under license. For full details see the LEGAL in the documentation book 
	that contains this page.">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="../../../style/book.css" />
<title>Libraries</title>
</head>
<body>
<h1>Libraries</h1>
<p>The <strong>Libraries</strong> tab of the edit dialog allows the
selection and configuration of the libraries that make up the device
definition. Using the controls on this page, it is possible to add and
remove functionality from a device definition. This is useful in
restricting available API's to create a more generic project.</p>
<br>
<center><img src="images/device_libraries.png"></center>
<br>
<br>
<p>Each cell in the table is editable in-place. The type of editor
supplied is dependent on the cell that is selected.</p>
<br>
<table class="datatable">
	<tr>
		<th class="bold">Column</th>
		<th class="bold">Contents</th>
	</tr>
	<tr>
		<td>
		<p>File</p>
		</td>
		<td>
		<p>This field holds the file name that provides functionality to
		the device definition. The File and Path columns work together to show
		the qualified location of the library's file. Editing the file will
		launch a file chooser dialog for selection of the library's file.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>Path</p>
		</td>
		<td>
		<p>This field holds the path of the library's file. The File and
		Path columns work together to show the qualified location of the
		library's file. Editing the path will launch a file chooser dialog for
		selection of the library's file.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>APIs</p>
		</td>
		<td>
		<p>This field displays a list of API's that were determined based
		on the contents of the library's file. This list may need to be edited
		if the list is incorrect or incomplete. Selecting the edit controls
		for this table cell will launch the API edit dialog. See <a
			href="#editApi">Editing Library API's</a> for more details.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>Javadoc</p>
		</td>
		<td>
		<p>This field lists the Javadoc that is attached to this
		particular library. Editing the cell will launch the standard Javadoc
		attachment dialog.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>Source</p>
		</td>
		<td>
		<p>This field lists the source that is attached to this particular
		library. Editing the cell will launch the standard Java source
		attachment dialog.</p>
		</td>
	</tr>
</table>

<h2 id="editApi">Editing Library API's</h2>


<p>The Edit Library API's dialog allows the specific API's
associated with a library to be altered. Altering the API's should not
be necessary, except in rare cases. It is important that each device
have a MicroEdition Configuration and MicroEdition Profile. If for some
reason that is not the case, it may be necessary to alter the API's
listed via this editor dialog.</p>
<br>
<center><img src="images/device_libraries_api.png" /></center>
<br>
<br>
<p>The cells in this table are all editable and may be changed using
a combination of in-place text editing and drop-down selection.</p>
<br>
<table class="datatable">
	<tr>
		<th class="bold">Column</th>
		<th class="bold">Contents</th>
	</tr>
	<tr>
		<td>
		<p>Identifier</p>
		</td>
		<td>
		<p>This field holds the unique identifier of this API. Many of the
		identifiers have been standardized by the Java Community Process, but
		this identifier may be any unique non-empty value.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>Version</p>
		</td>
		<td>
		<p>The version column holds the version of this particular API.
		The version may be specified using numeric values of the form <span
			class="code">major.minor.patch</span>.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>Type</p>
		</td>
		<td>
		<p>The type column holds the type of this particular API. The
		valid values for this drop-down cell are:</p>
		<ul>
			<li>Profile</li>
			<li>Configuration</li>
			<li>Optional</li>
			<li>Unknown</li>
		</ul>
		<p>In general, the type should be specified as something other
		than <strong>Unknown</strong>. It is important that every device
		definition have a single configuration and profile.</p>
		</td>
	</tr>
	<tr>
		<td>
		<p>Name</p>
		</td>
		<td>
		<p>The name field holds the free-form text that describes this
		API. This may be specified as any non-empty text.</p>
		</td>
	</tr>
</table>
<br>
<br>
</body>
</html>